<?php
global $user,$myopts,$base_url;
$full_url = $base_url.'/sites/all/themes/vk/';
//krumo($myopts);
?>
<!-- HEADER -->
  <header class="navbar clearfix" id="header">
    <div class="container">
        <div class="navbar-brand">
          <!-- COMPANY LOGO -->
          <a href="/">
            <img src="<?=$full_url?>img/logo/logo.png" alt="Cloud Admin Logo" class="img-responsive" height="30" width="120" />
          </a>
          <!-- /COMPANY LOGO -->
          <!-- PROJECT SWITCHER FOR MOBILE -->
          <div class="visible-xs">
            <a href="#" class="project-switcher-btn switcher btn dropdown-toggle tip-bottom" data-toggle="tooltip" title="Toggle Team View">
              <i class="fa fa-group"></i>
            </a>
          </div>
          <!-- /PROJECT SWITCHER FOR MOBILE -->
<?php if ($user->uid > 0) { ?>
          <!-- SIDEBAR COLLAPSE -->
          <div id="sidebar-collapse" class="sidebar-collapse btn tip-bottom" data-toggle="tooltip" title="Toggle Sidebar">
            <i class="fa fa-reorder" data-icon1="fa fa-reorder" data-icon2="fa fa-reorder"></i>
          </div>
          <!-- /SIDEBAR COLLAPSE -->
<?php } ?>
        </div>
<?php if ($user->uid > 0) { ?>
        <!-- BEGIN TOP NAVIGATION MENU -->          
        <ul class="nav navbar-nav pull-right">
        	<li class="dropdown" style="padding-bottom: 5px;">
        <a data-close-others="true" data-hover="dropdown" data-toggle="dropdown" class="dropdown-toggle" href="#">
            <p style="margin: 0; font-size: 13px;">Лицевой счет: 
                <span style="font-size: 18px; font-weight: 500; font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;"> 0 руб. </span>

                            </p>

        </a>
        </li>
        <li class="dropdown" style="padding-bottom: 5px;">
        	<button class="btn btn-default" style="margin-top: 10px;" onclick="location.href='/buy#';">Пополнить</button>
        </li>
          <!-- BEGIN USER LOGIN DROPDOWN -->
          <li class="dropdown user" id="header-user">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <img alt="" src="<?=$full_url?>img/avatars/avatar3.jpg" />
              <span class="username"><?=$user->name?></span>
              <i class="fa fa-angle-down"></i>
            </a>
            <ul class="dropdown-menu">
              <li><a href="/user"><i class="fa fa-user"></i> Профиль</a></li>
              <li><a href="/mypayment"><i class="fa fa-cog"></i> Мои платежи</a></li>
              <li><a href="/user/logout"><i class="fa fa-power-off"></i> Выход</a></li>
            </ul>
          </li>
          <!-- END USER LOGIN DROPDOWN -->
        </ul>
        <!-- END TOP NAVIGATION MENU -->
<?php } ?>
    </div>
  </header>
  <!--/HEADER -->
<?php
$leftmenu = menu_tree('menu-leftmenu');
//krumo($leftmenu);
?>  
  <!-- PAGE -->
  <section id="page">
<?php if ($user->uid > 0) { ?>
        <!-- SIDEBAR -->
        <div id="sidebar" class="sidebar">
          <div class="sidebar-menu nav-collapse">
            <div class="divide-20"></div>
            <!-- SEARCH BAR -->
            <div id="search-bar">
              <input class="search" type="text" placeholder="Search" /><i class="fa fa-search search-icon"></i>
            </div>
            <!-- /SEARCH BAR -->
            
            <!-- SIDEBAR QUICK-LAUNCH -->
            <!-- <div id="quicklaunch">
            <!-- /SIDEBAR QUICK-LAUNCH -->
            
            <!-- SIDEBAR MENU -->
            <ul>
<?php
foreach ($leftmenu as $key => $value) {
  if ($key > 0) { 
  $myclass = '';
  $myselected = '';
  $myopen = '';
  foreach ($value['#attributes']['class'] as $key1 => $value1) {
    if ($value1 == 'active-trail') {
      $myclass = 'active';
      $myselected = '<span class="selected"></span>';
      $myopen = ' open';
    }
  }
  $myarrow = '';
  if (count($value['#below']) > 0) {
    ?>
<li class="<?=$myclass?> has-sub">
                <a href="javascript:;">
                <i class="fa <?=mygetmenuicon($key)?> fa-fw"></i> <span class="menu-text"><?=$value['#title']?></span>
                <span class="arrow<?=$myopen?>"></span><?=$myselected?>
                </a> 
                <ul class="sub">
<?php
foreach ($value['#below'] as $key1 => $value1) {
if ($key1 > 0) {
  $myclass1 = '';
  foreach ($value1['#attributes']['class'] as $key2 => $value2) {
    if ($value2 == 'active-trail') {
      $myclass1 = 'current';
    }
  }  
    ?>
<li class="<?=$myclass1?>"><a class="" href="/<?=$value1['#href']?>"><span class="sub-menu-text"><?=$value1['#title']?></span></a></li>
    <?php
}
}
?>
                </ul>       
              </li>
<?php
  } else {
    if ($value['#href'] == '<front>') {
      $myhref="";
    } else {
      $myhref=$value['#href'];
    }
    ?>
<li class="<?=$myclass?> ">
                <a href="/<?=$myhref?>">
                <i class="fa fa-tachometer fa-fw"></i> <span class="menu-text"><?=$value['#title']?></span>
                </a>          
              </li>
<?php
  }
      } 
}
?>
            </ul>
            <!-- /SIDEBAR MENU -->
          </div>
        </div>
        <!-- /SIDEBAR -->
<?php } ?>
    <div id="main-content" <?php
if ($user->uid > 0) {

} else {
  print 'style="margin-left: 0px;"';
}

    ?>>

      <div class="container">
        <div class="row">
          <div id="content" class="col-lg-12">
            <!-- PAGE HEADER-->
            <div class="row">
              <div class="col-sm-12">
                <div class="page-header">
                  <!-- STYLER -->
                  
                  <!-- /STYLER -->
                  <!-- BREADCRUMBS -->
                  <?php print $breadcrumb; ?>
                  <!-- /BREADCRUMBS -->
                  <div class="clearfix">
                    <h3 class="content-title pull-left"><?php print $title; ?></h3>
                  </div>
                </div>
              </div>
            </div>
            <!-- /PAGE HEADER -->
            <!-- DASHBOARD CONTENT -->
            <div class="row">
<div class="col-md-12">
<?php if ($user->uid > 0) {
print render($page['mybefore']); 
} ?> 
</div>
              <div class="col-md-12">
                <!-- BASIC -->
                <div class="box border orange">
                  <div class="box-title">
                    <h4><i class="fa fa-reorder"></i><?php print $title; ?></h4>
                  </div>
                  <div class="box-body big">
      <?php print render($tabs); ?>
      <?php print render($page['help']); ?>
      <?php if ($action_links): ?>
        <ul class="action-links"><?php print render($action_links); ?></ul>
      <?php endif; ?>
      <?php print render($page['content']); ?>
      <?php print $feed_icons; ?>
                  </div>
                </div>
              </div>
<div class="col-md-12">
<?php if ($user->uid > 0) {
print render($page['myafter']); 
} ?> 
</div>
            </div>
             <!-- /DASHBOARD CONTENT -->

            <div class="footer-tools">
              <span class="go-top">
                <i class="fa fa-chevron-up"></i> Top
              </span>
            </div>
          </div><!-- /CONTENT-->
        </div>
      </div>
    </div>
  </section>
